Highlighted
Honored Contributor.
Honored Contributor.
1193 views

The GMS rpms failed to install.

Hello,

I've installed a completly new SLES 12 System and updated to SLES SP3.
Now I'm trying to install GMS 18 but I get following error:

Installing GMS rpms...
error: Failed dependencies:
dialog is needed by datasync-common-18.0.0.7411-1.1.x86_64
dialog is needed by datasync-configengine-18.0.0.7411-1.1.x86_64
dialog is needed by datasync-syncengine-18.0.0.7411-1.1.x86_64
dialog is needed by datasync-webadmin-18.0.0.7411-1.1.x86_64
The GMS rpms failed to install. You must have a Software Repository configured for SLES 12.


I have configured SP3 repositories. If I try to add SLES 12, SLES 12 SP1, SLES 12 SP2 repos, I'll get access denied.

Any ideas ?
Labels (1)
0 Likes
11 Replies
Highlighted
Micro Focus Expert
Micro Focus Expert

Re: The GMS rpms failed to install.

Hi,

Just a suggestion... use dsapp and point it to your local iso and try the upgrade using that method.

Cheers,
Laura Buckley

Views/comments expressed here are entirely my own.
If you find this post helpful, please show your appreciation and click on "Like" below...
0 Likes
Highlighted
Honored Contributor.
Honored Contributor.

Re: The GMS rpms failed to install.

laurabuckley;2472291 wrote:
Hi,

Just a suggestion... use dsapp and point it to your local iso and try the upgrade using that method.

Cheers,


No update. Completely clean install 😞
0 Likes
Highlighted
Honored Contributor.
Honored Contributor.

Re: The GMS rpms failed to install.

I can register the 12.3 PackageHub without any problems.
But trying to register PackageHub for 12.0, 12.1 or 12.2 tells me that I need to activate the product for the desired version.

I dont get it. 12.3 activated. But not able to add repositories for 12.0, 12.1 and 12.2.

GMS 18 seems to need something from 12.2 ?
0 Likes
Highlighted
Knowledge Partner
Knowledge Partner

Re: The GMS rpms failed to install.

Davud.

On 21.12.2017 15:16, DavudOeden wrote:
>
> Hello,
>
> I've installed a completly new SLES 12 System and updated to SLES SP3.


https://www.novell.com/documentation/groupwise18/gwmob18_guide_install/data/inst_req_server.html

Clearly states SLES12SP2. Not SLES12SP2 or newer. GMS (and most other
componantes of GW18) are not supported on SLES12 SP3.

CU,
--
Massimo Rosen
Micro Focus Knowledge Partner
No emails please!
http://www.cfc-it.de
CU,
--
Massimo Rosen
Micro Focus Knowledge Partner
No emails please!
http://www.cfc-it.de
0 Likes
Highlighted
Outstanding Contributor.
Outstanding Contributor.

Re: The GMS rpms failed to install.

hi,

i didnt have installation issues on sles 12 sp3. i did a fresh install by going through the update procedure.

1. mount -o loop gms18.iso /mnt
2. install.sh

gms installs fine.

Norman
BahSIG Bahn-Signalbau GmbH
0 Likes
Highlighted
Honored Contributor.
Honored Contributor.

Re: The GMS rpms failed to install.

Got it ! I didnt see that "dialog" was missing... Installed "dialog" with zypper and then the installation worked fine without any problems !

Thanks again.
0 Likes
Highlighted
Super Contributor.
Super Contributor.

Re: The GMS rpms failed to install.

We have the same issue, with SLES12SP4 and GMS 18.1.1. Running the install.sh works fine, until 'Installing GMS rpms...' then is comes with the following error messages :
dialog is needed by datasync-common-18.1.1.7943-1.1.x86_64
dialog is needed by datasync-configengine-18.1.1.7943-1.1.x86_64
dialog is needed by datasync-syncengine-18.1.1.7943-1.1.x86_64
dialog is needed by datasync-webadmin-18.1.1.7943-1.1.x86_64
The GMS rpms failed to install. Please consult the GMS Installation Guide to find what Software Repositoies are required.
But we have mounted is iso file, and run ./install.sh from /mnt directory. Kind regard, Henk
0 Likes
Highlighted
Knowledge Partner
Knowledge Partner

Re: The GMS rpms failed to install.

Read the entry above yours. It is that simple - you are missing a utility dialog which you have to install before. You will find it via Software Management.

Diethmar Rimser
If you like my idea or solution, please show it and click i.e. on "Like"!
Highlighted
Super Contributor.
Super Contributor.

Re: The GMS rpms failed to install.

Hello Rimser, thank you !!😊 we did installed the dialog utility with : zypper in dialog command, and now GMS rpms are installed and we get all the questions as mentioned in the GMS installation Guide. regards, Henk.

Tags (1)
0 Likes
Highlighted
Knowledge Partner
Knowledge Partner

Re: The GMS rpms failed to install.

I want to add some additional information (Laura gave me this hint).

A registered server should not have this problem because "dialog" would be on board.
 
Here is the hint:
 
This command must always show that the SLES server is registered:
 
SUSEConnect --status-text
 
Please refer to the documentation here:
 
 
Where it specifically states this: "Your SLES server must be registered to receive the packages necessary to install Mobility."
 
If your server is not registered the necessary packages can't be installed automatically by the GMS installation program. In this case the forum poster opened an SR with me and when I asked for the output of the SUSEConnect command it came back clearly stating that it was unregistered.
Diethmar Rimser
If you like my idea or solution, please show it and click i.e. on "Like"!
0 Likes
Highlighted
Super Contributor.
Super Contributor.

Re: The GMS rpms failed to install.

Hello Rimser,

Thank you for your explanation.

We have registered the VM into Susemanager.

We checked a few other SLES12SP4 servers, with are also registered at Susemanager. This VM's also comes
with the message 'Not Registered'.

So is this a gab in the Susemanager server, or must GMS software also comes through the Susemanager server?

kind regards, Henk
0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.